claw::wrapped_iterator< Value, Iterator, Function > Class Template Reference

This class defines an iterator resulting of the appliance of a function to an effective iterator. More...

`#include <iterator.hpp>`

## Public Types

typedef wrapped_iterator_by_category< typename std::iterator_traits< Iterator >::iterator_category, Value, Iterator, Function > | iterator_type
| This is the type of the iterator that you want.

## Detailed Description

template<typename Value, typename Iterator, typename Function>
class claw::wrapped_iterator< Value, Iterator, Function >

This class defines an iterator resulting of the appliance of a function to an effective iterator.

Template arguments:

- Value The value_type of the resulting iterator,
- Iterator The original iterator type,
- Function The function applied to the pointed values (this is the wrapper).

Author
  Julien Jorge

Definition at line 361 of file iterator.hpp.

## Member Typedef Documentation

## iterator_type

template<typename Value, typename Iterator, typename Function>

typedef wrapped_iterator_by_category< typename std::iterator_traits<Iterator>::iterator_category, Value, Iterator, Function > claw::wrapped_iterator< Value, Iterator, Function >::iterator_type

This is the type of the iterator that you want.

Definition at line 368 of file iterator.hpp.

The documentation for this class was generated from the following file:

- iterator.hpp